<div class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <a href="#" class="navbar-brand">Recipe book</a>
    </div>

    <div class="navbar-default">
      <ul class="nav navbar-nav">
        <li routerLinkActive="active" *ngIf="isAuthenticated">
          <a [routerLink]="['recipes']">Recipes</a>
        </li>
        <li routerLinkActive="active" *ngIf="!isAuthenticated">
          <a [routerLink]="['auth']">Authenticate</a>
        </li>
        <li routerLinkActive="active">
          <a [routerLink]="['shopping-list']">Shopping List</a>
        </li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        <li *ngIf="isAuthenticated">
          <a style="cursor: pointer" (click)="onLougout()">Logout</a>
        </li>
        <li class="dropdown" appDropdown *ngIf="isAuthenticated">
          <a style="cursor: pointer" class="dropdown-toggle" role="button"
            >Manage <span class="caret"></span
          ></a>
          <ul class="dropdown-menu">
            <li>
              <a style="cursor: pointer" (click)="onSaveData()">Save Data</a>
            </li>
            <li>
              <a style="cursor: pointer" (click)="onFetchData()">Fetch Data</a>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</div>
